1. OTC
Rapira
  • Введение
  • JWT
    • Инструкция по созданию JWT
    • Generate JWT
      POST
  • CRYPTO MERCHANT
    • Адреса
      • Get address by currency
      • Create address by currency
      • Get address details by id
      • Get address list by currency
      • Start use address
      • Stop use address
    • Пополнения
      • Get deposits
  • MARKET
    • Get spot fees
    • Pairs
    • Token
    • Get rates JSON
    • Get rates XML
    • Get market depth
  • BALANCE
    • Get frozen balances
    • Get balance operations coins and types
    • Get balance operations
    • Get frozen balances detailed
    • Get Balances
  • SERVER TIME
    • Get server time
  • ORDER
    • Order history
    • Order details
    • Add exchange order
    • Cancel order
  • CRYPTO PAYOUT
    • Withdraw
      • Withdraw create
      • Withdraw crypto history Record
      • Withdraw crypto history
  • FIAT PAYOUT
    • Fiat
      • Withdraw fiat history
      • Withdraw fiat history Record
    • FIAT TRANSACTION
      • Fiat Transactions
      • Fiat Withdraw For Record
  • AML
    • AML balance
    • Recheck
    • Check address
    • Check transaction
  • rCode
    • Create rCode
    • rCode withdraw history
    • rCode deposit history
    • rCode details
    • Use rCode
  • OTC
    • Введение в OTC
    • Get payment types
      POST
    • Get my ads
      POST
    • Create ad
      POST
    • Update ad
      POST
    • Publish ad
      POST
    • Unpublish ad
      POST
    • Get offers
      GET
    • Fetch ads
      POST
    • Get order detail
      POST
    • Create order
      POST
    • Accept order
      POST
    • Decline order
      POST
    • Cancel order
      POST
    • Chat-history
      POST
    • Chat history page query
      POST
    • Pay order
      POST
    • Release order
      POST
    • Cancel appeal
      POST
    • Get order history
      POST
    • Create appeal
      POST
    • Send message
      POST
  • CRYPTO-PROCESSING
    • Введение
    • Создание проекта
    • Настройка проекта
    • Работа с инвойсами
    • Projects Settings
      • Get Invoices (Paginated)
      • Set deposit return address
      • Get Available Token Settings
      • Get Project Token Settings
      • Update Project Token Settings
      • Batch Update Project Token Settings
      • Get Projects
      • Edit Project
    • Invoice
      • Available Invoice Currencies
      • Create Invoice
      • Get Invoice
      • Get Available Payment Tokens for Invoice
      • Get Payment Address for Invoice
      • Manual Complete Undepaid Invoice
  • Schemas
    • CryptoProcessing
      • CryptoInvoice
      • CryptoPaymentQuote
      • CryptoDeposit
      • ProjectProcessingTokenSetting
      • ProjectProcessingTokenSettingEditRequest
      • ProjectResponse
  1. OTC

Get order history

POST
/open/otc/order/history
Требуемый уровень доступа P2P
Получить историю по сделкам

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

🟠400Bad Request
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.rapira.net/open/otc/order/history' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "startCreateTime": "2024-01-02",
    "endCreateTime": "2024-04-01",
    "status":["COMPLETED"],
    "orderSn": "829022963176046592",
    "side":"BUY",
    "pageNo":1,
    "pageSize":10
}'
Response Response Example
200 - Success
[
    {
        "orderSn": "829022963176046592",
        "offerId": 14,
        "customerSide": "SELL",
        "status": "COMPLETED",
        "internalCoinUnit": "RUB",
        "externalCoinUnit": "RUB",
        "price": 0.9875,
        "merchantFee": 0.0125,
        "internalAmount": 100,
        "externalAmount": 98.75,
        "timeLimit": 60,
        "remark": "remark 829022963176046592 remark",
        "hasAppeal": false,
        "appealedBy": null,
        "terminatedBy": "21",
        "createTime": "2024-03-27 11:01:16",
        "acceptTime": "2024-03-27 11:01:30",
        "payTime": "2024-03-27 11:01:51",
        "terminateTime": "2024-03-27 11:01:57",
        "paymentType": {
            "paymentName": "СБП",
            "paymentTypeId": 30
        },
        "merchant": {
            "username": "tomneiman",
            "totalReviewCount": 31,
            "positiveReviewCount": 21,
            "negativeReviewCount": 5,
            "neutralReviewCount": 5,
            "totalCompletedCount": 109,
            "totalCompletedPercent": 32.5
        },
        "customer": {
            "username": "iselanov",
            "totalReviewCount": 1108,
            "positiveReviewCount": 1043,
            "negativeReviewCount": 9,
            "neutralReviewCount": 56,
            "totalCompletedCount": 1412,
            "totalCompletedPercent": 71.1
        }
    }
]
Modified at 2026-03-25 10:04:21
Previous
Cancel appeal
Next
Create appeal
Built with